%def_disable static
%define dbreleasedate 20090826svn

Name: ddccontrol
Version: 0.4.2
Release: alt6

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Control your monitor by software using the DDC/CI protocol
License: GPLv2+
Group: System/Configuration/Hardware

URL: http://ddccontrol.sourceforge.net/
Source0: http://dl.sf.net/ddccontrol/ddccontrol-%version.tar.bz2
Source1: http://dl.sf.net/ddccontrol/ddccontrol-db-%dbreleasedate.tar.bz2
Patch1: ddccontrol-0.3-fixasneeded.patch
Patch2: ddccontrol-0.4.2-desktop.patch

# Automatically added by buildreq on Wed Sep 16 2009
BuildRequires: gcc-c++ imake libICE-devel libgnome-panel-devel libpci-devel xorg-cf-files

Requires: lib%{name} = %version-%release

%description
DDCcontrol is a program used to control monitor parameters, like brightness and
contrast, by software, i.e. without using the OSD (On Screen Display) and the
buttons in front of the monitor.

%package -n lib%{name}
Summary: Libddccontrol library 
Group: Development/Other

%description -n lib%{name}
DDCcontrol is a program used to control monitor parameters, like brightness and
contrast, by software, i.e. without using the OSD and the buttons in front of
the monitor.

%package -n lib%{name}-devel
Summary: Libddccontrol library headers and development libraries
Group: Development/Other
Requires: lib%{name} = %version-%release

%description -n lib%{name}-devel
libddccontrol devel files

%package applet
Summary: GNOME applet for ddccontrol
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description applet
GNOME applet for ddccontrol.

%prep
%setup -a 1
%patch1 -p1
%patch2 -p1

%build
pushd ddccontrol-db
# explicitly instruct gettextize to be non-interactive:
%__subst 's/gettextize/gettextize --quiet/' autogen.sh
./autogen.sh
%configure
popd

# QnD :) hack to satisfy dumb "Gentoo sanity check" :)
# Yes, hack is dirty, I know.
subst 's/"1.5.22"/"1.5.26"/' configure

%autoreconf
%configure %{subst_enable static}
# safety belts :)
echo "#define HAVE_BUGGY_I2C_DEV 1" >>src/config.h
%make_build

%install
pushd ddccontrol-db
%make_install install DESTDIR=%buildroot
popd
%make_install install DESTDIR=%buildroot
install -pD -m644 src/gddccontrol/gddccontrol.png %buildroot%_liconsdir/gddccontrol.png

%find_lang %name
%find_lang --append --output=%name.lang %name-db

%files -f %name.lang
%doc AUTHORS NEWS doc/html
%_bindir/*
%_datadir/ddccontrol-db
%_desktopdir/*
%_pixmapsdir/*
%_liconsdir/*
%_man1dir/*

%files -n lib%{name}
%_libdir/*.so.*

%files -n lib%{name}-devel
%_libdir/*.so
%_includedir/*

%files applet
%dir %_libdir/ddccontrol
%_libdir/ddccontrol/ddcc-applet
%_datadir/ddccontrol
%_libdir/bonobo/servers/*

%changelog
* Wed Sep 16 2009 Victor Forsyuk <force@altlinux.org> 0.4.2-alt6
- Refresh db from upstream svn (thnx to viy@ for suggestion).

* Mon Jul 06 2009 Victor Forsyuk <force@altlinux.org> 0.4.2-alt5
- Fix FTBFS (add explicit libtoolize call).

* Sat Dec 06 2008 Michael Shigorin <mike@altlinux.org> 0.4.2-alt4.3
- added Packager:

* Thu Dec 04 2008 Michael Shigorin <mike@altlinux.org> 0.4.2-alt4.2
- NMU: applied repocop patch

* Wed Apr 23 2008 Michael Shigorin <mike@altlinux.org> 0.4.2-alt4.1
- NMU: rebuilt against libpci-3.0.0

* Fri Mar 28 2008 Victor Forsyuk <force@altlinux.org> 0.4.2-alt4
- Fix FTBFS with current autotools.

* Wed Dec 26 2007 Victor Forsyuk <force@altlinux.org> 0.4.2-alt3
- Fix FTBFS with current autotools.

* Mon Oct 23 2006 Victor Forsyuk <force@altlinux.org> 0.4.2-alt2
- Update monitor database.

* Wed Aug 30 2006 Victor Forsyuk <force@altlinux.ru> 0.4.2-alt1
- 0.4.2
- Add ddccontrol-applet package.

* Mon Mar 20 2006 Victor Forsyuk <force@altlinux.ru> 0.4.1-alt1
- 0.4.1
- Fixed build with linker flag --as-needed.
- Update BuildRequires.

* Tue Jan 17 2006 Victor Forsyuk <force@altlinux.ru> 0.3-alt2
- Fix spec to build in current Sisyphus environment.

* Thu Nov 17 2005 Victor Forsyuk <force@altlinux.ru> 0.3-alt1
- 0.3
- Update BuildRequires.

* Mon Aug 15 2005 Victor Forsyuk <force@altlinux.ru> 0.2-alt1
- 0.2

* Tue Jul 19 2005 Victor Forsyuk <force@altlinux.ru> 0.1.3-alt1
- 0.1.3

* Wed Jun 08 2005 Victor Forsyuk <force@altlinux.ru> 0.1.1-alt1
- Initial build.
